## homescreen-dockbar 0.0.1

=== Makefile ===
#############################################################################
# Makefile for building: homescreen-dockbar
# Generated by qmake (2.01a) (Qt 4.7.0) on: mar nov 16 14:13:06 2010
# Project:  homescreen-dockbar.pro
# Template: app
# Command: /home/matias/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec /usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile homescreen-dockbar.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include/QtMaemo5 -I/usr/include -I. -Iqmaemo5homescreenadaptor -I/usr/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gnome-vfs-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/gtk-2.0 -I/usr/include/gtk-2.0/gtk -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/libhildondesktop-1 -I/usr/include/hildon-1 -Itmp -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = tmp/

####### Files

SOURCES       = qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp \
		main.cpp \
		widget.cpp \
		settings.cpp \
		items.cpp tmp/moc_qmaemo5homescreenadaptor.cpp \
		tmp/moc_widget.cpp \
		tmp/moc_settings.cpp \
		tmp/moc_items.cpp
OBJECTS       = tmp/qmaemo5homescreenadaptor.o \
		tmp/main.o \
		tmp/widget.o \
		tmp/settings.o \
		tmp/items.o \
		tmp/moc_qmaemo5homescreenadaptor.o \
		tmp/moc_widget.o \
		tmp/moc_settings.o \
		tmp/moc_items.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		homescreen-dockbar.pro
QMAKE_TARGET  = homescreen-dockbar
DESTDIR       = 
TARGET        = homescreen-dockbar

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_settings.h ui_items.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: homescreen-dockbar.pro  /usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile homescreen-dockbar.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile homescreen-dockbar.pro

dist: 
	@$(CHK_DIR_EXISTS) tmp/homescreen-dockbar1.0.0 || $(MKDIR) tmp/homescreen-dockbar1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h widget.h settings.h items.h tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp main.cpp widget.cpp settings.cpp items.cpp tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents settings.ui items.ui tmp/homescreen-dockbar1.0.0/ && (cd `dirname tmp/homescreen-dockbar1.0.0` && $(TAR) homescreen-dockbar1.0.0.tar homescreen-dockbar1.0.0 && $(COMPRESS) homescreen-dockbar1.0.0.tar) && $(MOVE) `dirname tmp/homescreen-dockbar1.0.0`/homescreen-dockbar1.0.0.tar.gz . && $(DEL_FILE) -r tmp/homescreen-dockbar1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: tmp/moc_qmaemo5homescreenadaptor.cpp tmp/moc_widget.cpp tmp/moc_settings.cpp tmp/moc_items.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) tmp/moc_qmaemo5homescreenadaptor.cpp tmp/moc_widget.cpp tmp/moc_settings.cpp tmp/moc_items.cpp
tmp/moc_qmaemo5homescreenadaptor.cpp: qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h -o tmp/moc_qmaemo5homescreenadaptor.cpp

tmp/moc_widget.cpp: widget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) widget.h -o tmp/moc_widget.cpp

tmp/moc_settings.cpp: settings.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settings.h -o tmp/moc_settings.cpp

tmp/moc_items.cpp: items.h
	/usr/bin/moc $(DEFINES) $(INCPATH) items.h -o tmp/moc_items.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_settings.h ui_items.h
compiler_uic_clean:
	-$(DEL_FILE) ui_settings.h ui_items.h
ui_settings.h: settings.ui
	/usr/bin/uic settings.ui -o ui_settings.h

ui_items.h: items.ui
	/usr/bin/uic items.ui -o ui_items.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

tmp/qmaemo5homescreenadaptor.o: qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/qmaemo5homescreenadaptor.o qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp

tmp/main.o: main.cpp widget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/main.o main.cpp

tmp/widget.o: widget.cpp widget.h \
		settings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/widget.o widget.cpp

tmp/settings.o: settings.cpp settings.h \
		ui_settings.h \
		items.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/settings.o settings.cpp

tmp/items.o: items.cpp items.h \
		ui_items.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/items.o items.cpp

tmp/moc_qmaemo5homescreenadaptor.o: tmp/moc_qmaemo5homescreenadaptor.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/moc_qmaemo5homescreenadaptor.o tmp/moc_qmaemo5homescreenadaptor.cpp

tmp/moc_widget.o: tmp/moc_widget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/moc_widget.o tmp/moc_widget.cpp

tmp/moc_settings.o: tmp/moc_settings.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/moc_settings.o tmp/moc_settings.cpp

tmp/moc_items.o: tmp/moc_items.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/moc_items.o tmp/moc_items.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon-home/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon-home/ 
	-$(INSTALL_FILE) homescreen-dockbar.desktop $(INSTALL_ROOT)/usr/share/applications/hildon-home/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon-home/homescreen-dockbar.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon-home/ 


install_image: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/home/user/ || $(MKDIR) $(INSTALL_ROOT)/home/user/ 
	-$(INSTALL_PROGRAM) homescreen-dockbar.png $(INSTALL_ROOT)/home/user/
	-strip $(INSTALL_ROOT)/home/user/homescreen-dockbar.png


uninstall_image:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/home/user/homescreen-dockbar.png
	-$(DEL_DIR) $(INSTALL_ROOT)/home/user/ 


install:  install_target install_desktop install_image  FORCE

uninstall: uninstall_target uninstall_desktop uninstall_image   FORCE

FORCE:
