=== debian/changelog ===
homescreen-dockbar (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Matias Perez <cepiperez@gmail.com>  Tue, 16 Nov 2010 10:30:00 -0300
