=== debian/control ===
Source: homescreen-dockbar
Section: user/desktop
Priority: optional
Maintainer: Matias Perez <cepiperez<@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libxrender-dev,libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libdbus-1-dev, libgconf2-dev
Standards-Version: 3.7.3

Package: homescreen-dockbar
Architecture: armel
Depends: libqt4-core (>= 4.6.1), libqt4-gui (>= 4.6.1), qt4-homescreen-loader 
Description: Simple homescreen dockbar for fremantle
XSBC-Bugtracker: mailto:cepiperez@gmail.com
XSBC-Maemo-Display-Name: Homescreen dockbar
