## homescreen-dockbar 0.0.2

=== Makefile ===
 #############################################################################
# Makefile for building: homescreen-dockbar
# Generated by qmake (2.01a) (Qt 4.7.0) on: vie nov 19 12:57:40 2010
# Project:  homescreen-dockbar.pro
# Template: app
# Command: /home/matias/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec /usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile homescreen-dockbar.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include/QtMaemo5 -I/usr/include -I. -Iqtsingleapplication -Iq-extras -I/usr/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gnome-vfs-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/gtk-2.0 -I/usr/include/gtk-2.0/gtk -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/libhildondesktop-1 -I/usr/include/hildon-1 -Itmp -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -ldbus-1 -lglib-2.0 -lgobject-2.0 -ldbus-glib-1 -lgconf-2 -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = tmp/

####### Files

SOURCES       = qtsingleapplication/qtsingleapplication.cpp \
		qtsingleapplication/qtlocalpeer.cpp \
		q-extras/qesettingsmanager.cpp \
		q-extras/qemaemo5dynamichomescreenwidget.cpp \
		q-extras/qemaemo5dynamicwidgethelper.cpp \
		main.cpp \
		widget.cpp \
		settings.cpp \
		items.cpp \
		home.cpp tmp/moc_qtsingleapplication.cpp \
		tmp/moc_qtlocalpeer.cpp \
		tmp/moc_qemaemo5dynamichomescreenwidget.cpp \
		tmp/moc_widget.cpp \
		tmp/moc_settings.cpp \
		tmp/moc_items.cpp \
		tmp/moc_home.cpp
OBJECTS       = tmp/qtsingleapplication.o \
		tmp/qtlocalpeer.o \
		tmp/qesettingsmanager.o \
		tmp/qemaemo5dynamichomescreenwidget.o \
		tmp/qemaemo5dynamicwidgethelper.o \
		tmp/main.o \
		tmp/widget.o \
		tmp/settings.o \
		tmp/items.o \
		tmp/home.o \
		tmp/moc_qtsingleapplication.o \
		tmp/moc_qtlocalpeer.o \
		tmp/moc_qemaemo5dynamichomescreenwidget.o \
		tmp/moc_widget.o \
		tmp/moc_settings.o \
		tmp/moc_items.o \
		tmp/moc_home.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		qtsingleapplication/qtsingleapplication.pri \
		q-extras/q-extras.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		homescreen-dockbar.pro
QMAKE_TARGET  = homescreen-dockbar
DESTDIR       = 
TARGET        = homescreen-dockbar

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_settings.h ui_items.h ui_home.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: homescreen-dockbar.pro  /usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		qtsingleapplication/qtsingleapplication.pri \
		q-extras/q-extras.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile homescreen-dockbar.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
qtsingleapplication/qtsingleapplication.pri:
q-extras/q-extras.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile homescreen-dockbar.pro

dist: 
	@$(CHK_DIR_EXISTS) tmp/homescreen-dockbar1.0.0 || $(MKDIR) tmp/homescreen-dockbar1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents qtsingleapplication/qtsingleapplication.h qtsingleapplication/qtlocalpeer.h q-extras/qesettingsmanager.h q-extras/qemaemo5dynamichomescreenwidget.h q-extras/qemaemo5dynamicwidgethelper.h widget.h settings.h items.h home.h tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents qtsingleapplication/qtsingleapplication.cpp qtsingleapplication/qtlocalpeer.cpp q-extras/qesettingsmanager.cpp q-extras/qemaemo5dynamichomescreenwidget.cpp q-extras/qemaemo5dynamicwidgethelper.cpp main.cpp widget.cpp settings.cpp items.cpp home.cpp tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents settings.ui items.ui home.ui tmp/homescreen-dockbar1.0.0/ && (cd `dirname tmp/homescreen-dockbar1.0.0` && $(TAR) homescreen-dockbar1.0.0.tar homescreen-dockbar1.0.0 && $(COMPRESS) homescreen-dockbar1.0.0.tar) && $(MOVE) `dirname tmp/homescreen-dockbar1.0.0`/homescreen-dockbar1.0.0.tar.gz . && $(DEL_FILE) -r tmp/homescreen-dockbar1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: tmp/moc_qtsingleapplication.cpp tmp/moc_qtlocalpeer.cpp tmp/moc_qemaemo5dynamichomescreenwidget.cpp tmp/moc_widget.cpp tmp/moc_settings.cpp tmp/moc_items.cpp tmp/moc_home.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) tmp/moc_qtsingleapplication.cpp tmp/moc_qtlocalpeer.cpp tmp/moc_qemaemo5dynamichomescreenwidget.cpp tmp/moc_widget.cpp tmp/moc_settings.cpp tmp/moc_items.cpp tmp/moc_home.cpp
tmp/moc_qtsingleapplication.cpp: qtsingleapplication/qtsingleapplication.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qtsingleapplication/qtsingleapplication.h -o tmp/moc_qtsingleapplication.cpp

tmp/moc_qtlocalpeer.cpp: qtsingleapplication/qtlockedfile.h \
		qtsingleapplication/qtlocalpeer.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qtsingleapplication/qtlocalpeer.h -o tmp/moc_qtlocalpeer.cpp

tmp/moc_qemaemo5dynamichomescreenwidget.cpp: q-extras/qemaemo5dynamichomescreenwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) q-extras/qemaemo5dynamichomescreenwidget.h -o tmp/moc_qemaemo5dynamichomescreenwidget.cpp

tmp/moc_widget.cpp: q-extras/qemaemo5dynamichomescreenwidget.h \
		widget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) widget.h -o tmp/moc_widget.cpp

tmp/moc_settings.cpp: q-extras/qemaemo5dynamichomescreenwidget.h \
		q-extras/qesettingsmanager.h \
		settings.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settings.h -o tmp/moc_settings.cpp

tmp/moc_items.cpp: q-extras/qemaemo5dynamichomescreenwidget.h \
		items.h
	/usr/bin/moc $(DEFINES) $(INCPATH) items.h -o tmp/moc_items.cpp

tmp/moc_home.cpp: home.h
	/usr/bin/moc $(DEFINES) $(INCPATH) home.h -o tmp/moc_home.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_settings.h ui_items.h ui_home.h
compiler_uic_clean:
	-$(DEL_FILE) ui_settings.h ui_items.h ui_home.h
ui_settings.h: settings.ui
	/usr/bin/uic settings.ui -o ui_settings.h

ui_items.h: items.ui
	/usr/bin/uic items.ui -o ui_items.h

ui_home.h: home.ui
	/usr/bin/uic home.ui -o ui_home.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

tmp/qtsingleapplication.o: qtsingleapplication/qtsingleapplication.cpp qtsingleapplication/qtsingleapplication.h \
		qtsingleapplication/qtlocalpeer.h \
		qtsingleapplication/qtlockedfile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/qtsingleapplication.o qtsingleapplication/qtsingleapplication.cpp
