=== debian/changelog ===
homescreen-dockbar (0.0.2) unstable; urgency=low

  * Allow multiple instances

 -- Matias Perez <cepiperez@gmail.com>  Fri, 19 Nov 2010 13:30:00 -0300
