## homescreen-dockbar 0.0.3

=== debian/changelog ===
homescreen-dockbar (0.0.3) stable; urgency=low

  * First stable version

 -- Matias Perez <cepiperez@gmail.com>  Wed, 24 Nov 2010 16:29:00 -0300
