## homescreen-dockbar 0.0.4

=== debian/changelog ===
homescreen-dockbar (0.0.4) stable; urgency=low

  * Changed icons state from "pressed" to "released"
  * Added vertical dockbar
  * Added autorotation for icons
  * Added quicksearch bar in "add item" window

 -- Matias Perez <cepiperez@gmail.com>  Thu, 25 Nov 2010 13:50:00 -0300
