=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/desktop
 Priority: optional
 Maintainer: Matias Perez <cepiperez<@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libxrender-dev,libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libdbus-1-dev, libgconf2-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libxrender-dev,libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libdbus-1-dev, libgconf2-dev, mce-dev
 Standards-Version: 3.7.3
 
 Package: homescreen-dockbar
