## homescreen-dockbar 0.0.5

=== debian/changelog ===
homescreen-dockbar (0.0.5) stable; urgency=low

  * Fixed allow multiple dockbars
  * Fixed vertical dockbars launcher

 -- Matias Perez <cepiperez@gmail.com>  Fri, 26 Nov 2010 14:33:00 -0300
