## homescreen-dockbar 0.0.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
- #############################################################################
+#############################################################################
 # Makefile for building: homescreen-dockbar
-# Generated by qmake (2.01a) (Qt 4.7.0) on: vie nov 19 12:57:40 2010
+# Generated by qmake (2.01a) (Qt 4.7.0) on: mar nov 23 10:07:42 2010
 # Project:  homescreen-dockbar.pro
 # Template: app
 # Command: /home/matias/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec /usr/share/qt4/mkspecs/linux-g++-maemo5 -o Makefile homescreen-dockbar.pro
@@ -50,12 +50,14 @@
 		q-extras/qemaemo5dynamicwidgethelper.cpp \
 		main.cpp \
 		widget.cpp \
+		appeventlistener.cpp \
 		settings.cpp \
 		items.cpp \
 		home.cpp tmp/moc_qtsingleapplication.cpp \
 		tmp/moc_qtlocalpeer.cpp \
 		tmp/moc_qemaemo5dynamichomescreenwidget.cpp \
 		tmp/moc_widget.cpp \
+		tmp/moc_appeventlistener.cpp \
 		tmp/moc_settings.cpp \
 		tmp/moc_items.cpp \
 		tmp/moc_home.cpp
@@ -66,6 +68,7 @@
 		tmp/qemaemo5dynamicwidgethelper.o \
 		tmp/main.o \
 		tmp/widget.o \
+		tmp/appeventlistener.o \
 		tmp/settings.o \
 		tmp/items.o \
 		tmp/home.o \
@@ -73,6 +76,7 @@
 		tmp/moc_qtlocalpeer.o \
 		tmp/moc_qemaemo5dynamichomescreenwidget.o \
 		tmp/moc_widget.o \
+		tmp/moc_appeventlistener.o \
 		tmp/moc_settings.o \
 		tmp/moc_items.o \
 		tmp/moc_home.o
@@ -192,7 +196,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) tmp/homescreen-dockbar1.0.0 || $(MKDIR) tmp/homescreen-dockbar1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents qtsingleapplication/qtsingleapplication.h qtsingleapplication/qtlocalpeer.h q-extras/qesettingsmanager.h q-extras/qemaemo5dynamichomescreenwidget.h q-extras/qemaemo5dynamicwidgethelper.h widget.h settings.h items.h home.h tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents qtsingleapplication/qtsingleapplication.cpp qtsingleapplication/qtlocalpeer.cpp q-extras/qesettingsmanager.cpp q-extras/qemaemo5dynamichomescreenwidget.cpp q-extras/qemaemo5dynamicwidgethelper.cpp main.cpp widget.cpp settings.cpp items.cpp home.cpp tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents settings.ui items.ui home.ui tmp/homescreen-dockbar1.0.0/ && (cd `dirname tmp/homescreen-dockbar1.0.0` && $(TAR) homescreen-dockbar1.0.0.tar homescreen-dockbar1.0.0 && $(COMPRESS) homescreen-dockbar1.0.0.tar) && $(MOVE) `dirname tmp/homescreen-dockbar1.0.0`/homescreen-dockbar1.0.0.tar.gz . && $(DEL_FILE) -r tmp/homescreen-dockbar1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents qtsingleapplication/qtsingleapplication.h qtsingleapplication/qtlocalpeer.h q-extras/qesettingsmanager.h q-extras/qemaemo5dynamichomescreenwidget.h q-extras/qemaemo5dynamicwidgethelper.h widget.h appeventlistener.h settings.h items.h home.h tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents qtsingleapplication/qtsingleapplication.cpp qtsingleapplication/qtlocalpeer.cpp q-extras/qesettingsmanager.cpp q-extras/qemaemo5dynamichomescreenwidget.cpp q-extras/qemaemo5dynamicwidgethelper.cpp main.cpp widget.cpp appeventlistener.cpp settings.cpp items.cpp home.cpp tmp/homescreen-dockbar1.0.0/ && $(COPY_FILE) --parents settings.ui items.ui home.ui tmp/homescreen-dockbar1.0.0/ && (cd `dirname tmp/homescreen-dockbar1.0.0` && $(TAR) homescreen-dockbar1.0.0.tar homescreen-dockbar1.0.0 && $(COMPRESS) homescreen-dockbar1.0.0.tar) && $(MOVE) `dirname tmp/homescreen-dockbar1.0.0`/homescreen-dockbar1.0.0.tar.gz . && $(DEL_FILE) -r tmp/homescreen-dockbar1.0.0
 
 
 clean:compiler_clean 
@@ -213,9 +217,9 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: tmp/moc_qtsingleapplication.cpp tmp/moc_qtlocalpeer.cpp tmp/moc_qemaemo5dynamichomescreenwidget.cpp tmp/moc_widget.cpp tmp/moc_settings.cpp tmp/moc_items.cpp tmp/moc_home.cpp
+compiler_moc_header_make_all: tmp/moc_qtsingleapplication.cpp tmp/moc_qtlocalpeer.cpp tmp/moc_qemaemo5dynamichomescreenwidget.cpp tmp/moc_widget.cpp tmp/moc_appeventlistener.cpp tmp/moc_settings.cpp tmp/moc_items.cpp tmp/moc_home.cpp
 compiler_moc_header_clean:
-	-$(DEL_FILE) tmp/moc_qtsingleapplication.cpp tmp/moc_qtlocalpeer.cpp tmp/moc_qemaemo5dynamichomescreenwidget.cpp tmp/moc_widget.cpp tmp/moc_settings.cpp tmp/moc_items.cpp tmp/moc_home.cpp
+	-$(DEL_FILE) tmp/moc_qtsingleapplication.cpp tmp/moc_qtlocalpeer.cpp tmp/moc_qemaemo5dynamichomescreenwidget.cpp tmp/moc_widget.cpp tmp/moc_appeventlistener.cpp tmp/moc_settings.cpp tmp/moc_items.cpp tmp/moc_home.cpp
 tmp/moc_qtsingleapplication.cpp: qtsingleapplication/qtsingleapplication.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) qtsingleapplication/qtsingleapplication.h -o tmp/moc_qtsingleapplication.cpp
 
@@ -229,6 +233,9 @@
 tmp/moc_widget.cpp: q-extras/qemaemo5dynamichomescreenwidget.h \
 		widget.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) widget.h -o tmp/moc_widget.cpp
+
+tmp/moc_appeventlistener.cpp: appeventlistener.h
+	/usr/bin/moc $(DEFINES) $(INCPATH) appeventlistener.h -o tmp/moc_appeventlistener.cpp
 
 tmp/moc_settings.cpp: q-extras/qemaemo5dynamichomescreenwidget.h \
 		q-extras/qesettingsmanager.h \
@@ -267,12 +274,3 @@
 compiler_yacc_impl_clean:
 compiler_lex_make_all:
 compiler_lex_clean:
-compiler_clean: compiler_moc_header_clean compiler_uic_clean 
-
-####### Compile
-
-tmp/qtsingleapplication.o: qtsingleapplication/qtsingleapplication.cpp qtsingleapplication/qtsingleapplication.h \
-		qtsingleapplication/qtlocalpeer.h \
-		qtsingleapplication/qtlockedfile.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/qtsingleapplication.o qtsingleapplication/qtsingleapplication.cpp
-
