=== debian/changelog ===
homescreen-dockbar (0.0.6) stable; urgency=low

  * Fixes in vertical dockbar
  * Added rotation in all directions

 -- Matias Perez <cepiperez@gmail.com>  Mon, 29 Nov 2010 16:34:00 -0300
